Summary: WWW browser for emacs
Name: w3
%define version 4.0pre.46
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Editors
URL: http://www.cs.indiana.edu/usr/local/www/elisp/w3/docs.html
Source0: ftp://ftp.cs.indiana.edu/pub/elisp/w3/w3-%{version}.tar.gz
Requires: emacs >= 20.3
Prereq: /sbin/install-info
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
Emacs/W3 is a full-featured web browser, written entirely in
Emacs-Lisp, that supports all the bells and whistles you will find in
use on the web today, including frames, tables, stylesheets, and much
more.  

%prep
%setup -q

%build
./configure --prefix=/usr \
	    --with-lispdir='$(prefix)/share/emacs/site-lisp/w3' \
	    --datadir='$(prefix)/share/emacs/site-lisp/w3/etc' \
            --enable-site-install

make all dvi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install dotemacs

sed "s^$RPM_BUILD_ROOT^^" $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/default.el \
    >$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3/w3-init.el

rm -f $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/default.el

gzip -9 texi/*dvi texi/*txi
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9 $RPM_BUILD_ROOT/usr/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/w3.info.gz /usr/info/dir \
                   --section="GNU Emacs"
/sbin/install-info /usr/info/w3-faq.info.gz /usr/info/dir \
                   --section="GNU Emacs"

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/w3.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/w3-faq.info.gz /usr/info/dir
fi

%files
%dir /usr/share/emacs/site-lisp/w3
%doc ChangeLog README HOWTO TODO contrib texi/w3-faq.dvi.gz texi/w3-faq.txi.gz texi/w3.dvi.gz texi/w3.txi.gz
/usr/info/*
/usr/share/emacs/site-lisp/w3/*
